.block.labels
  .title
    标记
    - if can?(current_user, :admin_issue, @project)
      = icon("spinner spin", class: "block-loading")
      = link_to "编辑", "#", class: "edit-link pull-right"
  .value.issuable-show-labels
    %span.no-value{ "v-if" => "issue.labels && issue.labels.length === 0" }
      无
    %a{ href: "#",
      "v-for" => "label in issue.labels" }
      %span.label.color-label.has-tooltip{ ":style" => "{ backgroundColor: label.color, color: label.textColor }" }
        {{ label.title }}
  - if can?(current_user, :admin_issue, @project)
    .selectbox
      %input{ type: "hidden",
        name: "issue[label_names][]",
        "v-for" => "label in issue.labels",
        ":value" => "label.id" }
      .dropdown
        %button.dropdown-menu-toggle.js-label-select.js-multiselect.js-issue-board-sidebar{ type: "button",
          data: { toggle: "dropdown", field_name: "issue[label_names][]", show_no: "true", show_any: "true", project_id: @project.id, labels: namespace_project_labels_path(@project.namespace, @project, :json), namespace_path: @project.try(:namespace).try(:path), project_path: @project.try(:path) },
          ":data-issue-update" => "'#{namespace_project_issues_path(@project.namespace, @project)}/' + issue.id + '.json'" }
          %span.dropdown-toggle-text
            Label
          = icon('chevron-down')
        .dropdown-menu.dropdown-select.dropdown-menu-paging.dropdown-menu-labels.dropdown-menu-selectable
          = render partial: "shared/issuable/label_page_default"
          - if can? current_user, :admin_label, @project and @project
            = render partial: "shared/issuable/label_page_create"
